Updating old themes

Post Reply
HowardB
Ssr. Bludit
Posts: 27
Joined: Sat Jun 04, 2022 1:31 pm
Been thanked: 1 time

In the excellent V4 only a few themes are compatible (ie Work) and I wondered whether there is an easy way to adapt an old theme to make it compatible
Many thanks
User avatar
Edi
Site Admin
Posts: 2839
Joined: Sun Aug 09, 2015 5:01 pm
Location: Zurich
Has thanked: 19 times
Been thanked: 28 times
Contact:

You have to modify the plugin hooks.

v4 uses for example

Code: Select all

<?php
    execPluginsByHook('pageBegin');
?>
instead of

Code: Select all

<?php
    Theme::plugins('pageBegin');
?>
Please be aware that v4 is still only for testing puposes.
Post Reply